Investigate and update webfonts where possible
Closed, ResolvedPublic

Description

With T135465 and T135464, we are reducing footprint of webfonts as most of languages are already supported by modern OSs. Investigate and update (or remove) webfonts accordingly.

Webfonts were introduced for Wikimedia projects in 2011 to solve problems for some scripts where fonts were not available for most commonly used devices/operating systems, or the fonts were not recent enough to support the script fully.
Read more about Webfonts and their use on Wikimedia projects.

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 390974 had a related patch set uploaded (by KartikMistry; owner: Santhosh):
[mediawiki/extensions/UniversalLanguageSelector@master] Remove non-default Gubby font for Kannada and Tulu

https://gerrit.wikimedia.org/r/390974

Change 391164 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/UniversalLanguageSelector@master] Remove madan fonts for ne

https://gerrit.wikimedia.org/r/391164

Change 391164 abandoned by KartikMistry:
Remove madan fonts for ne

Reason:
Already has patch :)

https://gerrit.wikimedia.org/r/391164

Change 390974 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Remove non-default Gubby font for Kannada and Tulu

https://gerrit.wikimedia.org/r/390974

Is this task supposed to have the Compact Language Links tag?

Is this task supposed to have the Compact Language Links tag?

No. It was mistake.

Elitre added a subscriber: Elitre.Dec 1 2017, 8:29 AM

Is there a list what fonts are still planned to be removed?

Is there a list what fonts are still planned to be removed?

Yes. I'm making one.

The list of fonts which are default for one or more languages is given as a table in https://www.mediawiki.org/wiki/Universal_Language_Selector/WebFonts

You may also take a look at https://phabricator.wikimedia.org/T55015 and close the tickets for adding new fonts.

Change 395179 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/UniversalLanguageSelector@master] Remove non-default Saab font for Punjabi

https://gerrit.wikimedia.org/r/395179

Change 395179 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Remove non-default Saab font for Punjabi

https://gerrit.wikimedia.org/r/395179

Arrbee updated the task description. (Show Details)Dec 5 2017, 6:27 PM
Arrbee updated the task description. (Show Details)Dec 5 2017, 6:42 PM
Arrbee updated the task description. (Show Details)Dec 5 2017, 6:47 PM
KartikMistry closed this task as Resolved.Dec 18 2017, 7:11 AM

First round of removal is done as of now. We will review other fonts and based on feedback, update will happen when needed.